;;; -*-scheme-*- (/home/ttn/local/share/xcb/glx.xml)
(xcb ((header . glx)
      (extension-xname . GLX)
      (extension-name . Glx)
      (major-version . 1)
      (minor-version . 3))
     (import () xproto)
     (xidtype ((name . PIXMAP)))
     (xidtype ((name . CONTEXT)))
     (xidtype ((name . PBUFFER)))
     (xidtype ((name . WINDOW)))
     (xidtype ((name . FBCONFIG)))
     (xidunion
       ((name . DRAWABLE))
       (type () xproto:WINDOW)
       (type () PBUFFER)
       (type () glx:PIXMAP)
       (type () glx:WINDOW))
     (typedef
       ((oldname . float) (newname . FLOAT32)))
     (typedef
       ((oldname . double) (newname . FLOAT64)))
     (typedef
       ((oldname . CARD32) (newname . BOOL32)))
     (typedef
       ((oldname . CARD32) (newname . CONTEXT-TAG)))
     (error ((name . Generic) (number . -1))
            (field ((type . CARD32) (name . bad-value)))
            (field ((type . CARD16) (name . minor-opcode)))
            (field ((type . CARD8) (name . major-opcode)))
            (pad ((bytes . 21))))
     (errorcopy
       ((name . BadContext)
        (number . 0)
        (ref . Generic)))
     (errorcopy
       ((name . BadContextState)
        (number . 1)
        (ref . Generic)))
     (errorcopy
       ((name . BadDrawable)
        (number . 2)
        (ref . Generic)))
     (errorcopy
       ((name . BadPixmap)
        (number . 3)
        (ref . Generic)))
     (errorcopy
       ((name . BadContextTag)
        (number . 4)
        (ref . Generic)))
     (errorcopy
       ((name . BadCurrentWindow)
        (number . 5)
        (ref . Generic)))
     (errorcopy
       ((name . BadRenderRequest)
        (number . 6)
        (ref . Generic)))
     (errorcopy
       ((name . BadLargeRequest)
        (number . 7)
        (ref . Generic)))
     (errorcopy
       ((name . UnsupportedPrivateRequest)
        (number . 8)
        (ref . Generic)))
     (errorcopy
       ((name . BadFBConfig)
        (number . 9)
        (ref . Generic)))
     (errorcopy
       ((name . BadPbuffer)
        (number . 10)
        (ref . Generic)))
     (errorcopy
       ((name . BadCurrentDrawable)
        (number . 11)
        (ref . Generic)))
     (errorcopy
       ((name . BadWindow)
        (number . 12)
        (ref . Generic)))
     (event ((name . PbufferClobber) (number . 0))
            (field ((type . CARD16) (name . event-type)))
            (field ((type . CARD16) (name . draw-type)))
            (field ((type . glx:DRAWABLE) (name . drawable)))
            (field ((type . CARD32) (name . b-mask)))
            (field ((type . CARD16) (name . aux-buffer)))
            (field ((type . CARD16) (name . x)))
            (field ((type . CARD16) (name . y)))
            (field ((type . CARD16) (name . width)))
            (field ((type . CARD16) (name . height)))
            (field ((type . CARD16) (name . count)))
            (pad ((bytes . 4))))
     (enum ((name . PBCET))
           (item ((name . Damaged)) (value () 0x8017))
           (item ((name . Saved)) (value () 0x8018)))
     (enum ((name . PBCDT))
           (item ((name . Window)) (value () 0x8019))
           (item ((name . Pbuffer)) (value () 0x801A)))
     (request
       ((name . Render)
        (opcode . 1)
        (combine-adjacent . true))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (list ((type . BYTE) (name . data))))
     (request
       ((name . RenderLarge) (opcode . 2))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . CARD16) (name . request-num)))
       (field ((type . CARD16) (name . request-total)))
       (field ((type . CARD32) (name . data-len)))
       (list ((type . BYTE) (name . data))
             (fieldref () data-len)))
     (request
       ((name . CreateContext) (opcode . 3))
       (field ((type . glx:CONTEXT) (name . context)))
       (field ((type . VISUALID) (name . visual)))
       (field ((type . CARD32) (name . screen)))
       (field ((type . glx:CONTEXT) (name . share-list)))
       (field ((type . BOOL) (name . is-direct)))
       (pad ((bytes . 3))))
     (request
       ((name . DestroyContext) (opcode . 4))
       (field ((type . glx:CONTEXT) (name . context))))
     (request
       ((name . MakeCurrent) (opcode . 5))
       (field ((type . glx:DRAWABLE) (name . drawable)))
       (field ((type . glx:CONTEXT) (name . context)))
       (field ((type . CONTEXT-TAG)
               (name . old-context-tag)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CONTEXT-TAG) (name . context-tag)))
              (pad ((bytes . 20)))))
     (request
       ((name . IsDirect) (opcode . 6))
       (field ((type . glx:CONTEXT) (name . context)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . BOOL) (name . is-direct)))
              (pad ((bytes . 23)))))
     (request
       ((name . QueryVersion) (opcode . 7))
       (field ((type . CARD32) (name . major-version)))
       (field ((type . CARD32) (name . minor-version)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD32) (name . major-version)))
              (field ((type . CARD32) (name . minor-version)))
              (pad ((bytes . 16)))))
     (request
       ((name . WaitGL) (opcode . 8))
       (field ((type . CONTEXT-TAG) (name . context-tag))))
     (request
       ((name . WaitX) (opcode . 9))
       (field ((type . CONTEXT-TAG) (name . context-tag))))
     (request
       ((name . CopyContext) (opcode . 10))
       (field ((type . glx:CONTEXT) (name . src)))
       (field ((type . glx:CONTEXT) (name . dest)))
       (field ((type . CARD32) (name . mask)))
       (field ((type . CONTEXT-TAG)
               (name . src-context-tag))))
     (enum ((name . GC))
           (item ((name . GL-CURRENT-BIT))
                 (value () 0x00000001))
           (item ((name . GL-POINT-BIT))
                 (value () 0x00000002))
           (item ((name . GL-LINE-BIT))
                 (value () 0x00000004))
           (item ((name . GL-POLYGON-BIT))
                 (value () 0x00000008))
           (item ((name . GL-POLYGON-STIPPLE-BIT))
                 (value () 0x00000010))
           (item ((name . GL-PIXEL-MODE-BIT))
                 (value () 0x00000020))
           (item ((name . GL-LIGHTING-BIT))
                 (value () 0x00000040))
           (item ((name . GL-FOG-BIT))
                 (value () 0x00000080))
           (item ((name . GL-DEPTH-BUFFER-BIT))
                 (value () 0x00000100))
           (item ((name . GL-ACCUM-BUFFER-BIT))
                 (value () 0x00000200))
           (item ((name . GL-STENCIL-BUFFER-BIT))
                 (value () 0x00000400))
           (item ((name . GL-VIEWPORT-BIT))
                 (value () 0x00000800))
           (item ((name . GL-TRANSFORM-BIT))
                 (value () 0x00001000))
           (item ((name . GL-ENABLE-BIT))
                 (value () 0x00002000))
           (item ((name . GL-COLOR-BUFFER-BIT))
                 (value () 0x00004000))
           (item ((name . GL-HINT-BIT))
                 (value () 0x00008000))
           (item ((name . GL-EVAL-BIT))
                 (value () 0x00010000))
           (item ((name . GL-LIST-BIT))
                 (value () 0x00020000))
           (item ((name . GL-TEXTURE-BIT))
                 (value () 0x00040000))
           (item ((name . GL-SCISSOR-BIT))
                 (value () 0x00080000))
           (item ((name . GL-ALL-ATTRIB-BITS))
                 (value () 0x000ffffff)))
     (request
       ((name . SwapBuffers) (opcode . 11))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . glx:DRAWABLE) (name . drawable))))
     (request
       ((name . UseXFont) (opcode . 12))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . FONT) (name . font)))
       (field ((type . CARD32) (name . first)))
       (field ((type . CARD32) (name . count)))
       (field ((type . CARD32) (name . list-base))))
     (request
       ((name . CreateGLXPixmap) (opcode . 13))
       (field ((type . CARD32) (name . screen)))
       (field ((type . VISUALID) (name . visual)))
       (field ((type . xproto:PIXMAP) (name . pixmap)))
       (field ((type . glx:PIXMAP) (name . glx-pixmap))))
     (request
       ((name . GetVisualConfigs) (opcode . 14))
       (field ((type . CARD32) (name . screen)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD32) (name . num-visuals)))
              (field ((type . CARD32) (name . num-properties)))
              (pad ((bytes . 16)))
              (list ((type . CARD32) (name . property-list)))))
     (request
       ((name . DestroyGLXPixmap) (opcode . 15))
       (field ((type . glx:PIXMAP) (name . glx-pixmap))))
     (request
       ((name . VendorPrivate) (opcode . 16))
       (field ((type . CARD32) (name . vendor-code)))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (list ((type . BYTE) (name . data))))
     (request
       ((name . VendorPrivateWithReply)
        (opcode . 17))
       (field ((type . CARD32) (name . vendor-code)))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (list ((type . BYTE) (name . data)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD32) (name . retval)))
              (list ((type . BYTE) (name . data1))
                    (value () 24))
              (list ((type . BYTE) (name . data2)))))
     (request
       ((name . QueryExtensionsString)
        (opcode . 18))
       (field ((type . CARD32) (name . screen)))
       (reply ()
              (pad ((bytes . 1)))
              (pad ((bytes . 4)))
              (field ((type . CARD32) (name . n)))
              (pad ((bytes . 16)))))
     (request
       ((name . QueryServerString) (opcode . 19))
       (field ((type . CARD32) (name . screen)))
       (field ((type . CARD32) (name . name)))
       (reply ()
              (pad ((bytes . 1)))
              (pad ((bytes . 4)))
              (field ((type . CARD32) (name . str-len)))
              (pad ((bytes . 16)))
              (list ((type . CARD8) (name . string))
                    (fieldref () str-len))))
     (request
       ((name . ClientInfo) (opcode . 20))
       (field ((type . CARD32) (name . major-version)))
       (field ((type . CARD32) (name . minor-version)))
       (field ((type . CARD32) (name . str-len)))
       (list ((type . CARD8) (name . string))
             (fieldref () str-len)))
     (request
       ((name . GetFBConfigs) (opcode . 21))
       (field ((type . CARD32) (name . screen)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD32) (name . num-FB-configs)))
              (field ((type . CARD32) (name . num-properties)))
              (pad ((bytes . 16)))
              (list ((type . CARD32) (name . property-list)))))
     (request
       ((name . CreatePixmap) (opcode . 22))
       (field ((type . CARD32) (name . screen)))
       (field ((type . CARD32) (name . fbconfig)))
       (field ((type . xproto:PIXMAP) (name . pixmap)))
       (field ((type . glx:PIXMAP) (name . glx-pixmap)))
       (field ((type . CARD32) (name . num-attribs)))
       (list ((type . CARD32) (name . attribs))
             (op ((op . *))
                 (fieldref () num-attribs)
                 (value () 2))))
     (request
       ((name . DestroyPixmap) (opcode . 23))
       (field ((type . glx:PIXMAP) (name . glx-pixmap))))
     (request
       ((name . CreateNewContext) (opcode . 24))
       (field ((type . glx:CONTEXT) (name . context)))
       (field ((type . CARD32) (name . fbconfig)))
       (field ((type . CARD32) (name . screen)))
       (field ((type . CARD32) (name . render-type)))
       (field ((type . CARD32) (name . share-list)))
       (field ((type . BOOL) (name . is-direct)))
       (field ((type . CARD8) (name . reserved1)))
       (field ((type . CARD16) (name . reserved2))))
     (request
       ((name . QueryContext) (opcode . 25))
       (field ((type . glx:CONTEXT) (name . context)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD32) (name . num-attribs)))
              (pad ((bytes . 20)))
              (list ((type . CARD32) (name . attribs))
                    (op ((op . *))
                        (fieldref () num-attribs)
                        (value () 2)))))
     (request
       ((name . MakeContextCurrent) (opcode . 26))
       (field ((type . CONTEXT-TAG)
               (name . old-context-tag)))
       (field ((type . glx:DRAWABLE) (name . drawable)))
       (field ((type . glx:DRAWABLE)
               (name . read-drawable)))
       (field ((type . glx:CONTEXT) (name . context)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CONTEXT-TAG) (name . context-tag)))
              (pad ((bytes . 20)))))
     (request
       ((name . CreatePbuffer) (opcode . 27))
       (field ((type . CARD32) (name . screen)))
       (field ((type . FBCONFIG) (name . fbconfig)))
       (field ((type . PBUFFER) (name . pbuffer)))
       (field ((type . CARD32) (name . num-attribs)))
       (list ((type . CARD32) (name . attribs))
             (op ((op . *))
                 (fieldref () num-attribs)
                 (value () 2))))
     (request
       ((name . DestroyPbuffer) (opcode . 28))
       (field ((type . PBUFFER) (name . pbuffer))))
     (request
       ((name . GetDrawableAttributes)
        (opcode . 29))
       (field ((type . glx:DRAWABLE) (name . drawable)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD32) (name . num-attribs)))
              (pad ((bytes . 20)))
              (list ((type . CARD32) (name . attribs))
                    (op ((op . *))
                        (fieldref () num-attribs)
                        (value () 2)))))
     (request
       ((name . ChangeDrawableAttributes)
        (opcode . 30))
       (field ((type . glx:DRAWABLE) (name . drawable)))
       (field ((type . CARD32) (name . num-attribs)))
       (list ((type . CARD32) (name . attribs))
             (op ((op . *))
                 (fieldref () num-attribs)
                 (value () 2))))
     (request
       ((name . CreateWindow) (opcode . 31))
       (field ((type . CARD32) (name . screen)))
       (field ((type . FBCONFIG) (name . fbconfig)))
       (field ((type . xproto:WINDOW) (name . window)))
       (field ((type . glx:WINDOW) (name . glx-window)))
       (field ((type . CARD32) (name . num-attribs)))
       (list ((type . CARD32) (name . attribs))
             (op ((op . *))
                 (fieldref () num-attribs)
                 (value () 2))))
     (request
       ((name . DeleteWindow) (opcode . 32))
       (field ((type . glx:WINDOW) (name . glxwindow))))
     (request
       ((name . NewList) (opcode . 101))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . CARD32) (name . list)))
       (field ((type . CARD32) (name . mode))))
     (request
       ((name . EndList) (opcode . 102))
       (field ((type . CONTEXT-TAG) (name . context-tag))))
     (request
       ((name . DeleteLists) (opcode . 103))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . CARD32) (name . list)))
       (field ((type . INT32) (name . range))))
     (request
       ((name . GenLists) (opcode . 104))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . INT32) (name . range)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD32) (name . ret-val)))))
     (request
       ((name . FeedbackBuffer) (opcode . 105))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . INT32) (name . size)))
       (field ((type . INT32) (name . type))))
     (request
       ((name . SelectBuffer) (opcode . 106))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . INT32) (name . size))))
     (request
       ((name . RenderMode) (opcode . 107))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . CARD32) (name . mode)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD32) (name . ret-val)))
              (field ((type . CARD32) (name . n)))
              (field ((type . CARD32) (name . new-mode)))
              (pad ((bytes . 12)))
              (list ((type . CARD32) (name . data))
                    (fieldref () n))))
     (enum ((name . RM))
           (item ((name . GL-RENDER)) (value () 0x1C00))
           (item ((name . GL-FEEDBACK))
                 (value () 0x1C01))
           (item ((name . GL-SELECT)) (value () 0x1C02)))
     (request
       ((name . Finish) (opcode . 108))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (reply () (pad ((bytes . 1)))))
     (request
       ((name . PixelStoref) (opcode . 109))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . CARD32) (name . pname)))
       (field ((type . FLOAT32) (name . datum))))
     (request
       ((name . PixelStorei) (opcode . 110))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . CARD32) (name . pname)))
       (field ((type . INT32) (name . datum))))
     (request
       ((name . ReadPixels) (opcode . 111))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . INT32) (name . x)))
       (field ((type . INT32) (name . y)))
       (field ((type . INT32) (name . width)))
       (field ((type . INT32) (name . height)))
       (field ((type . CARD32) (name . format)))
       (field ((type . CARD32) (name . type)))
       (field ((type . BOOL) (name . swap-bytes)))
       (field ((type . BOOL) (name . lsb-first)))
       (reply ()
              (pad ((bytes . 1)))
              (pad ((bytes . 24)))
              (list ((type . BYTE) (name . data)))))
     (request
       ((name . GetBooleanv) (opcode . 112))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . INT32) (name . pname)))
       (reply ()
              (pad ((bytes . 1)))
              (pad ((bytes . 4)))
              (field ((type . CARD32) (name . n)))
              (field ((type . BOOL) (name . datum)))
              (pad ((bytes . 15)))
              (list ((type . BOOL) (name . data))
                    (fieldref () n))))
     (request
       ((name . GetClipPlane) (opcode . 113))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . INT32) (name . plane)))
       (reply ()
              (pad ((bytes . 1)))
              (pad ((bytes . 24)))
              (list ((type . FLOAT64) (name . data)))))
     (request
       ((name . GetDoublev) (opcode . 114))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . CARD32) (name . pname)))
       (reply ()
              (pad ((bytes . 1)))
              (pad ((bytes . 4)))
              (field ((type . CARD32) (name . n)))
              (field ((type . FLOAT64) (name . datum)))
              (pad ((bytes . 8)))
              (list ((type . FLOAT64) (name . data))
                    (fieldref () n))))
     (request
       ((name . GetError) (opcode . 115))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . INT32) (name . error)))))
     (request
       ((name . GetFloatv) (opcode . 116))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . CARD32) (name . pname)))
       (reply ()
              (pad ((bytes . 1)))
              (pad ((bytes . 4)))
              (field ((type . CARD32) (name . n)))
              (field ((type . FLOAT32) (name . datum)))
              (pad ((bytes . 12)))
              (list ((type . FLOAT32) (name . data))
                    (fieldref () n))))
     (request
       ((name . GetIntegerv) (opcode . 117))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . CARD32) (name . pname)))
       (reply ()
              (pad ((bytes . 1)))
              (pad ((bytes . 4)))
              (field ((type . CARD32) (name . n)))
              (field ((type . INT32) (name . datum)))
              (pad ((bytes . 12)))
              (list ((type . INT32) (name . data))
                    (fieldref () n))))
     (request
       ((name . GetLightfv) (opcode . 118))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . CARD32) (name . light)))
       (field ((type . CARD32) (name . pname)))
       (reply ()
              (pad ((bytes . 1)))
              (pad ((bytes . 4)))
              (field ((type . CARD32) (name . n)))
              (field ((type . FLOAT32) (name . datum)))
              (pad ((bytes . 12)))
              (list ((type . FLOAT32) (name . data))
                    (fieldref () n))))
     (request
       ((name . GetLightiv) (opcode . 119))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . CARD32) (name . light)))
       (field ((type . CARD32) (name . pname)))
       (reply ()
              (pad ((bytes . 1)))
              (pad ((bytes . 4)))
              (field ((type . CARD32) (name . n)))
              (field ((type . INT32) (name . datum)))
              (pad ((bytes . 12)))
              (list ((type . INT32) (name . data))
                    (fieldref () n))))
     (request
       ((name . GetMapdv) (opcode . 120))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . CARD32) (name . target)))
       (field ((type . CARD32) (name . query)))
       (reply ()
              (pad ((bytes . 1)))
              (pad ((bytes . 4)))
              (field ((type . CARD32) (name . n)))
              (field ((type . FLOAT64) (name . datum)))
              (pad ((bytes . 8)))
              (list ((type . FLOAT64) (name . data))
                    (fieldref () n))))
     (request
       ((name . GetMapfv) (opcode . 121))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . CARD32) (name . target)))
       (field ((type . CARD32) (name . query)))
       (reply ()
              (pad ((bytes . 1)))
              (pad ((bytes . 4)))
              (field ((type . CARD32) (name . n)))
              (field ((type . FLOAT32) (name . datum)))
              (pad ((bytes . 12)))
              (list ((type . FLOAT32) (name . data))
                    (fieldref () n))))
     (request
       ((name . GetMapiv) (opcode . 122))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . CARD32) (name . target)))
       (field ((type . CARD32) (name . query)))
       (reply ()
              (pad ((bytes . 1)))
              (pad ((bytes . 4)))
              (field ((type . CARD32) (name . n)))
              (field ((type . INT32) (name . datum)))
              (pad ((bytes . 12)))
              (list ((type . INT32) (name . data))
                    (fieldref () n))))
     (request
       ((name . GetMaterialfv) (opcode . 123))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . CARD32) (name . face)))
       (field ((type . CARD32) (name . pname)))
       (reply ()
              (pad ((bytes . 1)))
              (pad ((bytes . 4)))
              (field ((type . CARD32) (name . n)))
              (field ((type . FLOAT32) (name . datum)))
              (pad ((bytes . 12)))
              (list ((type . FLOAT32) (name . data))
                    (fieldref () n))))
     (request
       ((name . GetMaterialiv) (opcode . 124))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . CARD32) (name . face)))
       (field ((type . CARD32) (name . pname)))
       (reply ()
              (pad ((bytes . 1)))
              (pad ((bytes . 4)))
              (field ((type . CARD32) (name . n)))
              (field ((type . INT32) (name . datum)))
              (pad ((bytes . 12)))
              (list ((type . INT32) (name . data))
                    (fieldref () n))))
     (request
       ((name . GetPixelMapfv) (opcode . 125))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . CARD32) (name . map)))
       (reply ()
              (pad ((bytes . 1)))
              (pad ((bytes . 4)))
              (field ((type . CARD32) (name . n)))
              (field ((type . FLOAT32) (name . datum)))
              (pad ((bytes . 12)))
              (list ((type . FLOAT32) (name . data))
                    (fieldref () n))))
     (request
       ((name . GetPixelMapuiv) (opcode . 126))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . CARD32) (name . map)))
       (reply ()
              (pad ((bytes . 1)))
              (pad ((bytes . 4)))
              (field ((type . CARD32) (name . n)))
              (field ((type . CARD32) (name . datum)))
              (pad ((bytes . 12)))
              (list ((type . CARD32) (name . data))
                    (fieldref () n))))
     (request
       ((name . GetPixelMapusv) (opcode . 127))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . CARD32) (name . map)))
       (reply ()
              (pad ((bytes . 1)))
              (pad ((bytes . 4)))
              (field ((type . CARD32) (name . n)))
              (field ((type . CARD16) (name . datum)))
              (pad ((bytes . 16)))
              (list ((type . CARD16) (name . data))
                    (fieldref () n))))
     (request
       ((name . GetPolygonStipple) (opcode . 128))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . BOOL) (name . lsb-first)))
       (reply ()
              (pad ((bytes . 1)))
              (pad ((bytes . 24)))
              (list ((type . BYTE) (name . data)))))
     (request
       ((name . GetString) (opcode . 129))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . CARD32) (name . name)))
       (reply ()
              (pad ((bytes . 1)))
              (pad ((bytes . 4)))
              (field ((type . CARD32) (name . n)))
              (pad ((bytes . 16)))
              (list ((type . CARD8) (name . string))
                    (fieldref () n))))
     (request
       ((name . GetTexEnvfv) (opcode . 130))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . CARD32) (name . target)))
       (field ((type . CARD32) (name . pname)))
       (reply ()
              (pad ((bytes . 1)))
              (pad ((bytes . 4)))
              (field ((type . CARD32) (name . n)))
              (field ((type . FLOAT32) (name . datum)))
              (pad ((bytes . 12)))
              (list ((type . FLOAT32) (name . data))
                    (fieldref () n))))
     (request
       ((name . GetTexEnviv) (opcode . 131))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . CARD32) (name . target)))
       (field ((type . CARD32) (name . pname)))
       (reply ()
              (pad ((bytes . 1)))
              (pad ((bytes . 4)))
              (field ((type . CARD32) (name . n)))
              (field ((type . INT32) (name . datum)))
              (pad ((bytes . 12)))
              (list ((type . INT32) (name . data))
                    (fieldref () n))))
     (request
       ((name . GetTexGendv) (opcode . 132))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . CARD32) (name . coord)))
       (field ((type . CARD32) (name . pname)))
       (reply ()
              (pad ((bytes . 1)))
              (pad ((bytes . 4)))
              (field ((type . CARD32) (name . n)))
              (field ((type . FLOAT64) (name . datum)))
              (pad ((bytes . 8)))
              (list ((type . FLOAT64) (name . data))
                    (fieldref () n))))
     (request
       ((name . GetTexGenfv) (opcode . 133))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . CARD32) (name . coord)))
       (field ((type . CARD32) (name . pname)))
       (reply ()
              (pad ((bytes . 1)))
              (pad ((bytes . 4)))
              (field ((type . CARD32) (name . n)))
              (field ((type . FLOAT32) (name . datum)))
              (pad ((bytes . 12)))
              (list ((type . FLOAT32) (name . data))
                    (fieldref () n))))
     (request
       ((name . GetTexGeniv) (opcode . 134))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . CARD32) (name . coord)))
       (field ((type . CARD32) (name . pname)))
       (reply ()
              (pad ((bytes . 1)))
              (pad ((bytes . 4)))
              (field ((type . CARD32) (name . n)))
              (field ((type . INT32) (name . datum)))
              (pad ((bytes . 12)))
              (list ((type . INT32) (name . data))
                    (fieldref () n))))
     (request
       ((name . GetTexImage) (opcode . 135))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . CARD32) (name . target)))
       (field ((type . INT32) (name . level)))
       (field ((type . CARD32) (name . format)))
       (field ((type . CARD32) (name . type)))
       (field ((type . BOOL) (name . swap-bytes)))
       (reply ()
              (pad ((bytes . 1)))
              (pad ((bytes . 8)))
              (field ((type . INT32) (name . width)))
              (field ((type . INT32) (name . height)))
              (field ((type . INT32) (name . depth)))
              (pad ((bytes . 4)))
              (list ((type . BYTE) (name . data)))))
     (request
       ((name . GetTexParameterfv) (opcode . 136))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . CARD32) (name . target)))
       (field ((type . CARD32) (name . pname)))
       (reply ()
              (pad ((bytes . 1)))
              (pad ((bytes . 4)))
              (field ((type . CARD32) (name . n)))
              (field ((type . FLOAT32) (name . datum)))
              (pad ((bytes . 12)))
              (list ((type . FLOAT32) (name . data))
                    (fieldref () n))))
     (request
       ((name . GetTexParameteriv) (opcode . 137))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . CARD32) (name . target)))
       (field ((type . CARD32) (name . pname)))
       (reply ()
              (pad ((bytes . 1)))
              (pad ((bytes . 4)))
              (field ((type . CARD32) (name . n)))
              (field ((type . INT32) (name . datum)))
              (pad ((bytes . 12)))
              (list ((type . INT32) (name . data))
                    (fieldref () n))))
     (request
       ((name . GetTexLevelParameterfv)
        (opcode . 138))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . CARD32) (name . target)))
       (field ((type . INT32) (name . level)))
       (field ((type . CARD32) (name . pname)))
       (reply ()
              (pad ((bytes . 1)))
              (pad ((bytes . 4)))
              (field ((type . CARD32) (name . n)))
              (field ((type . FLOAT32) (name . datum)))
              (pad ((bytes . 12)))
              (list ((type . FLOAT32) (name . data))
                    (fieldref () n))))
     (request
       ((name . GetTexLevelParameteriv)
        (opcode . 139))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . CARD32) (name . target)))
       (field ((type . INT32) (name . level)))
       (field ((type . CARD32) (name . pname)))
       (reply ()
              (pad ((bytes . 1)))
              (pad ((bytes . 4)))
              (field ((type . CARD32) (name . n)))
              (field ((type . INT32) (name . datum)))
              (pad ((bytes . 12)))
              (list ((type . INT32) (name . data))
                    (fieldref () n))))
     (request
       ((name . IsList) (opcode . 141))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . CARD32) (name . list)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . BOOL32) (name . ret-val)))))
     (request
       ((name . Flush) (opcode . 142))
       (field ((type . CONTEXT-TAG) (name . context-tag))))
     (request
       ((name . AreTexturesResident) (opcode . 143))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . INT32) (name . n)))
       (list ((type . CARD32) (name . textures))
             (fieldref () n))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . BOOL32) (name . ret-val)))
              (pad ((bytes . 20)))
              (list ((type . BOOL) (name . data)))))
     (request
       ((name . DeleteTextures) (opcode . 144))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . INT32) (name . n)))
       (list ((type . CARD32) (name . textures))
             (fieldref () n)))
     (request
       ((name . GenTextures) (opcode . 145))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . INT32) (name . n)))
       (reply ()
              (pad ((bytes . 1)))
              (pad ((bytes . 24)))
              (list ((type . CARD32) (name . data)))))
     (request
       ((name . IsTexture) (opcode . 146))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . CARD32) (name . texture)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . BOOL32) (name . ret-val)))))
     (request
       ((name . GetColorTable) (opcode . 147))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . CARD32) (name . target)))
       (field ((type . CARD32) (name . format)))
       (field ((type . CARD32) (name . type)))
       (field ((type . BOOL) (name . swap-bytes)))
       (reply ()
              (pad ((bytes . 1)))
              (pad ((bytes . 8)))
              (field ((type . INT32) (name . width)))
              (pad ((bytes . 12)))
              (list ((type . BYTE) (name . data)))))
     (request
       ((name . GetColorTableParameterfv)
        (opcode . 148))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . CARD32) (name . target)))
       (field ((type . CARD32) (name . pname)))
       (reply ()
              (pad ((bytes . 1)))
              (pad ((bytes . 4)))
              (field ((type . CARD32) (name . n)))
              (field ((type . FLOAT32) (name . datum)))
              (pad ((bytes . 12)))
              (list ((type . FLOAT32) (name . data))
                    (fieldref () n))))
     (request
       ((name . GetColorTableParameteriv)
        (opcode . 149))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . CARD32) (name . target)))
       (field ((type . CARD32) (name . pname)))
       (reply ()
              (pad ((bytes . 1)))
              (pad ((bytes . 4)))
              (field ((type . CARD32) (name . n)))
              (field ((type . INT32) (name . datum)))
              (pad ((bytes . 12)))
              (list ((type . INT32) (name . data))
                    (fieldref () n))))
     (request
       ((name . GetConvolutionFilter)
        (opcode . 150))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . CARD32) (name . target)))
       (field ((type . CARD32) (name . format)))
       (field ((type . CARD32) (name . type)))
       (field ((type . BOOL) (name . swap-bytes)))
       (reply ()
              (pad ((bytes . 1)))
              (pad ((bytes . 8)))
              (field ((type . INT32) (name . width)))
              (field ((type . INT32) (name . height)))
              (pad ((bytes . 8)))
              (list ((type . BYTE) (name . data)))))
     (request
       ((name . GetConvolutionParameterfv)
        (opcode . 151))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . CARD32) (name . target)))
       (field ((type . CARD32) (name . pname)))
       (reply ()
              (pad ((bytes . 1)))
              (pad ((bytes . 4)))
              (field ((type . CARD32) (name . n)))
              (field ((type . FLOAT32) (name . datum)))
              (pad ((bytes . 12)))
              (list ((type . FLOAT32) (name . data))
                    (fieldref () n))))
     (request
       ((name . GetConvolutionParameteriv)
        (opcode . 152))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . CARD32) (name . target)))
       (field ((type . CARD32) (name . pname)))
       (reply ()
              (pad ((bytes . 1)))
              (pad ((bytes . 4)))
              (field ((type . CARD32) (name . n)))
              (field ((type . INT32) (name . datum)))
              (pad ((bytes . 12)))
              (list ((type . INT32) (name . data))
                    (fieldref () n))))
     (request
       ((name . GetSeparableFilter) (opcode . 153))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . CARD32) (name . target)))
       (field ((type . CARD32) (name . format)))
       (field ((type . CARD32) (name . type)))
       (field ((type . BOOL) (name . swap-bytes)))
       (reply ()
              (pad ((bytes . 1)))
              (pad ((bytes . 8)))
              (field ((type . INT32) (name . row-w)))
              (field ((type . INT32) (name . col-h)))
              (pad ((bytes . 8)))
              (list ((type . BYTE) (name . rows-and-cols)))))
     (request
       ((name . GetHistogram) (opcode . 154))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . CARD32) (name . target)))
       (field ((type . CARD32) (name . format)))
       (field ((type . CARD32) (name . type)))
       (field ((type . BOOL) (name . swap-bytes)))
       (field ((type . BOOL) (name . reset)))
       (reply ()
              (pad ((bytes . 1)))
              (pad ((bytes . 8)))
              (field ((type . INT32) (name . width)))
              (pad ((bytes . 12)))
              (list ((type . BYTE) (name . data)))))
     (request
       ((name . GetHistogramParameterfv)
        (opcode . 155))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . CARD32) (name . target)))
       (field ((type . CARD32) (name . pname)))
       (reply ()
              (pad ((bytes . 1)))
              (pad ((bytes . 4)))
              (field ((type . CARD32) (name . n)))
              (field ((type . FLOAT32) (name . datum)))
              (pad ((bytes . 12)))
              (list ((type . FLOAT32) (name . data))
                    (fieldref () n))))
     (request
       ((name . GetHistogramParameteriv)
        (opcode . 156))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . CARD32) (name . target)))
       (field ((type . CARD32) (name . pname)))
       (reply ()
              (pad ((bytes . 1)))
              (pad ((bytes . 4)))
              (field ((type . CARD32) (name . n)))
              (field ((type . INT32) (name . datum)))
              (pad ((bytes . 12)))
              (list ((type . INT32) (name . data))
                    (fieldref () n))))
     (request
       ((name . GetMinmax) (opcode . 157))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . CARD32) (name . target)))
       (field ((type . CARD32) (name . format)))
       (field ((type . CARD32) (name . type)))
       (field ((type . BOOL) (name . swap-bytes)))
       (field ((type . BOOL) (name . reset)))
       (reply ()
              (pad ((bytes . 1)))
              (pad ((bytes . 24)))
              (list ((type . BYTE) (name . data)))))
     (request
       ((name . GetMinmaxParameterfv)
        (opcode . 158))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . CARD32) (name . target)))
       (field ((type . CARD32) (name . pname)))
       (reply ()
              (pad ((bytes . 1)))
              (pad ((bytes . 4)))
              (field ((type . CARD32) (name . n)))
              (field ((type . FLOAT32) (name . datum)))
              (pad ((bytes . 12)))
              (list ((type . FLOAT32) (name . data))
                    (fieldref () n))))
     (request
       ((name . GetMinmaxParameteriv)
        (opcode . 159))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . CARD32) (name . target)))
       (field ((type . CARD32) (name . pname)))
       (reply ()
              (pad ((bytes . 1)))
              (pad ((bytes . 4)))
              (field ((type . CARD32) (name . n)))
              (field ((type . INT32) (name . datum)))
              (pad ((bytes . 12)))
              (list ((type . INT32) (name . data))
                    (fieldref () n))))
     (request
       ((name . GetCompressedTexImageARB)
        (opcode . 160))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . CARD32) (name . target)))
       (field ((type . INT32) (name . level)))
       (reply ()
              (pad ((bytes . 1)))
              (pad ((bytes . 8)))
              (field ((type . INT32) (name . size)))
              (pad ((bytes . 12)))
              (list ((type . BYTE) (name . data)))))
     (request
       ((name . DeleteQueriesARB) (opcode . 161))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . INT32) (name . n)))
       (list ((type . CARD32) (name . ids))
             (fieldref () n)))
     (request
       ((name . GenQueriesARB) (opcode . 162))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . INT32) (name . n)))
       (reply ()
              (pad ((bytes . 1)))
              (pad ((bytes . 24)))
              (list ((type . CARD32) (name . data)))))
     (request
       ((name . IsQueryARB) (opcode . 163))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . CARD32) (name . id)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . BOOL32) (name . ret-val)))))
     (request
       ((name . GetQueryivARB) (opcode . 164))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . CARD32) (name . target)))
       (field ((type . CARD32) (name . pname)))
       (reply ()
              (pad ((bytes . 1)))
              (pad ((bytes . 4)))
              (field ((type . CARD32) (name . n)))
              (field ((type . INT32) (name . datum)))
              (pad ((bytes . 12)))
              (list ((type . INT32) (name . data))
                    (fieldref () n))))
     (request
       ((name . GetQueryObjectivARB) (opcode . 165))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . CARD32) (name . id)))
       (field ((type . CARD32) (name . pname)))
       (reply ()
              (pad ((bytes . 1)))
              (pad ((bytes . 4)))
              (field ((type . CARD32) (name . n)))
              (field ((type . INT32) (name . datum)))
              (pad ((bytes . 12)))
              (list ((type . INT32) (name . data))
                    (fieldref () n))))
     (request
       ((name . GetQueryObjectuivARB)
        (opcode . 166))
       (field ((type . CONTEXT-TAG) (name . context-tag)))
       (field ((type . CARD32) (name . id)))
       (field ((type . CARD32) (name . pname)))
       (reply ()
              (pad ((bytes . 1)))
              (pad ((bytes . 4)))
              (field ((type . CARD32) (name . n)))
              (field ((type . CARD32) (name . datum)))
              (pad ((bytes . 12)))
              (list ((type . CARD32) (name . data))
                    (fieldref () n)))))
