;;; -*-scheme-*- (/home/ttn/local/share/xcb/randr.xml)
(xcb ((header . randr)
      (extension-xname . RANDR)
      (extension-name . RandR)
      (major-version . 1)
      (minor-version . 1))
     (import () xproto)
     (enum ((name . Rotation))
           (item ((name . Rotate-0)) (value () 1))
           (item ((name . Rotate-90)) (value () 2))
           (item ((name . Rotate-180)) (value () 4))
           (item ((name . Rotate-270)) (value () 8))
           (item ((name . Reflect-X)) (value () 16))
           (item ((name . Reflect-Y)) (value () 32)))
     (struct
       ((name . ScreenSize))
       (field ((type . INT16) (name . width)))
       (field ((type . INT16) (name . height)))
       (field ((type . INT16) (name . mwidth)))
       (field ((type . INT16) (name . mheight))))
     (struct
       ((name . RefreshRates))
       (field ((type . CARD16) (name . nRates)))
       (list ((type . CARD16) (name . rates))
             (fieldref () nRates)))
     (request
       ((name . QueryVersion) (opcode . 0))
       (field ((type . CARD32) (name . major-version)))
       (field ((type . CARD32) (name . minor-version)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD32) (name . major-version)))
              (field ((type . CARD32) (name . minor-version)))
              (pad ((bytes . 16)))))
     (request
       ((name . SetScreenConfig) (opcode . 2))
       (field ((type . DRAWABLE) (name . drawable)))
       (field ((type . TIMESTAMP) (name . timestamp)))
       (field ((type . TIMESTAMP)
               (name . config-timestamp)))
       (field ((type . CARD16) (name . sizeID)))
       (field ((type . INT16) (name . rotation)))
       (field ((type . CARD16) (name . rate)))
       (pad ((bytes . 2)))
       (reply ()
              (field ((type . CARD8) (name . status)))
              (field ((type . TIMESTAMP) (name . new-timestamp)))
              (field ((type . TIMESTAMP)
                      (name . config-timestamp)))
              (field ((type . WINDOW) (name . root)))
              (field ((type . CARD16) (name . subpixel-order)))
              (pad ((bytes . 10)))))
     (enum ((name . SetConfig))
           (item ((name . Success)) (value () 0))
           (item ((name . InvalidConfigTime))
                 (value () 1))
           (item ((name . InvalidTime)) (value () 2))
           (item ((name . Failed)) (value () 3)))
     (request
       ((name . SelectInput) (opcode . 4))
       (field ((type . WINDOW) (name . window)))
       (field ((type . CARD16) (name . enable)))
       (pad ((bytes . 2))))
     (request
       ((name . GetScreenInfo) (opcode . 5))
       (field ((type . WINDOW) (name . window)))
       (reply ()
              (field ((type . CARD8) (name . rotations)))
              (field ((type . WINDOW) (name . root)))
              (field ((type . TIMESTAMP) (name . timestamp)))
              (field ((type . TIMESTAMP)
                      (name . config-timestamp)))
              (field ((type . CARD16) (name . nSizes)))
              (field ((type . CARD16) (name . sizeID)))
              (field ((type . INT16) (name . rotation)))
              (field ((type . CARD16) (name . rate)))
              (field ((type . CARD16) (name . nInfo)))
              (pad ((bytes . 2)))
              (list ((type . ScreenSize) (name . sizes))
                    (fieldref () nSizes))
              (list ((type . RefreshRates) (name . rates))
                    (op ((op . -))
                        (fieldref () nInfo)
                        (fieldref () nSizes)))))
     (enum ((name . SM))
           (item ((name . ScreenChangeNotify))
                 (value () 1)))
     (event ((name . ScreenChangeNotify) (number . 0))
            (field ((type . CARD8) (name . rotation)))
            (field ((type . TIMESTAMP) (name . timestamp)))
            (field ((type . TIMESTAMP)
                    (name . config-timestamp)))
            (field ((type . WINDOW) (name . root)))
            (field ((type . WINDOW) (name . request-window)))
            (field ((type . CARD16) (name . sizeID)))
            (field ((type . CARD16) (name . subpixel-order)))
            (field ((type . INT16) (name . width)))
            (field ((type . INT16) (name . height)))
            (field ((type . INT16) (name . mwidth)))
            (field ((type . INT16) (name . mheight)))))
