;;; -*-scheme-*- (/home/ttn/local/share/xcb/record.xml)
(xcb ((header . record)
      (extension-xname . RECORD)
      (extension-name . Record)
      (major-version . 1)
      (minor-version . 13))
     (xidtype ((name . CONTEXT)))
     (struct
       ((name . Range8))
       (field ((type . CARD8) (name . first)))
       (field ((type . CARD8) (name . last))))
     (struct
       ((name . Range16))
       (field ((type . CARD16) (name . first)))
       (field ((type . CARD16) (name . last))))
     (struct
       ((name . ExtRange))
       (field ((type . Range8) (name . major)))
       (field ((type . Range16) (name . minor))))
     (struct
       ((name . Range))
       (field ((type . Range8) (name . core-requests)))
       (field ((type . Range8) (name . core-replies)))
       (field ((type . ExtRange) (name . ext-requests)))
       (field ((type . ExtRange) (name . ext-replies)))
       (field ((type . Range8) (name . delivered-events)))
       (field ((type . Range8) (name . device-events)))
       (field ((type . Range8) (name . errors)))
       (field ((type . BOOL) (name . client-started)))
       (field ((type . BOOL) (name . client-died))))
     (typedef
       ((oldname . CARD8) (newname . ElementHeader)))
     (enum ((name . HType))
           (item ((name . FromServerTime))
                 (value () 0x01))
           (item ((name . FromClientTime))
                 (value () 0x02))
           (item ((name . FromClientSequence))
                 (value () 0x04)))
     (typedef
       ((oldname . CARD32) (newname . ClientSpec)))
     (enum ((name . CS))
           (item ((name . CurrentClients)) (value () 1))
           (item ((name . FutureClients)) (value () 2))
           (item ((name . AllClients)) (value () 3)))
     (struct
       ((name . ClientInfo))
       (field ((type . ClientSpec)
               (name . client-resource)))
       (field ((type . CARD32) (name . num-ranges)))
       (list ((type . Range) (name . ranges))
             (fieldref () num-ranges)))
     (error ((name . BadContext) (number . 0))
            (field ((type . CARD32) (name . invalid-record))))
     (request
       ((name . QueryVersion) (opcode . 0))
       (field ((type . CARD16) (name . major-version)))
       (field ((type . CARD16) (name . minor-version)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD16) (name . major-version)))
              (field ((type . CARD16) (name . minor-version)))))
     (request
       ((name . CreateContext) (opcode . 1))
       (field ((type . record:CONTEXT) (name . context)))
       (field ((type . ElementHeader)
               (name . element-header)))
       (pad ((bytes . 3)))
       (field ((type . CARD32) (name . num-client-specs)))
       (field ((type . CARD32) (name . num-ranges)))
       (list ((type . ClientSpec) (name . client-specs))
             (fieldref () num-client-specs))
       (list ((type . Range) (name . ranges))
             (fieldref () num-ranges)))
     (request
       ((name . RegisterClients) (opcode . 2))
       (field ((type . record:CONTEXT) (name . context)))
       (field ((type . ElementHeader)
               (name . element-header)))
       (pad ((bytes . 3)))
       (field ((type . CARD32) (name . num-client-specs)))
       (field ((type . CARD32) (name . num-ranges)))
       (list ((type . ClientSpec) (name . client-specs))
             (fieldref () num-client-specs))
       (list ((type . Range) (name . ranges))
             (fieldref () num-ranges)))
     (request
       ((name . UnregisterClients) (opcode . 3))
       (field ((type . record:CONTEXT) (name . context)))
       (field ((type . CARD32) (name . num-client-specs)))
       (list ((type . ClientSpec) (name . client-specs))
             (fieldref () num-client-specs)))
     (request
       ((name . GetContext) (opcode . 4))
       (field ((type . record:CONTEXT) (name . context)))
       (reply ()
              (field ((type . BOOL) (name . enabled)))
              (field ((type . ElementHeader)
                      (name . element-header)))
              (pad ((bytes . 3)))
              (field ((type . CARD32)
                      (name . num-intercepted-clients)))
              (pad ((bytes . 16)))
              (list ((type . ClientInfo)
                     (name . intercepted-clients))
                    (fieldref () num-intercepted-clients))))
     (request
       ((name . EnableContext) (opcode . 5))
       (field ((type . record:CONTEXT) (name . context)))
       (reply ()
              (field ((type . CARD8) (name . category)))
              (field ((type . ElementHeader)
                      (name . element-header)))
              (field ((type . BOOL) (name . client-swapped)))
              (pad ((bytes . 2)))
              (field ((type . CARD32) (name . xid-base)))
              (field ((type . CARD32) (name . server-time)))
              (field ((type . CARD32) (name . rec-sequence-num)))
              (pad ((bytes . 8)))
              (list ((type . BYTE) (name . data)))))
     (request
       ((name . DisableContext) (opcode . 6))
       (field ((type . record:CONTEXT) (name . context))))
     (request
       ((name . FreeContext) (opcode . 7))
       (field ((type . record:CONTEXT) (name . context)))))
