;;; -*-scheme-*- (/home/ttn/local/share/xcb/sync.xml)
(xcb ((header . sync)
      (extension-xname . SYNC)
      (extension-name . Sync)
      (major-version . 3)
      (minor-version . 0))
     (import () xproto)
     (xidtype ((name . ALARM)))
     (enum ((name . ALARMSTATE))
           (item ((name . Active)))
           (item ((name . Inactive)))
           (item ((name . Destroyed))))
     (xidtype ((name . COUNTER)))
     (enum ((name . TESTTYPE))
           (item ((name . PositiveTransition)))
           (item ((name . NegativeTransition)))
           (item ((name . PositiveComparison)))
           (item ((name . NegativeComparison))))
     (enum ((name . VALUETYPE))
           (item ((name . Absolute)))
           (item ((name . Relative))))
     (enum ((name . CA))
           (item ((name . Counter)) (bit () 0))
           (item ((name . ValueType)) (bit () 1))
           (item ((name . Value)) (bit () 2))
           (item ((name . TestType)) (bit () 3))
           (item ((name . Delta)) (bit () 4))
           (item ((name . Events)) (bit () 5)))
     (struct
       ((name . INT64))
       (field ((type . INT32) (name . hi)))
       (field ((type . CARD32) (name . lo))))
     (struct
       ((name . SYSTEMCOUNTER))
       (field ((type . COUNTER) (name . counter)))
       (field ((type . INT64) (name . resolution)))
       (field ((type . CARD16) (name . name-len)))
       (list ((type . CARD8) (name . name))
             (fieldref () name-len)))
     (struct
       ((name . TRIGGER))
       (field ((type . COUNTER) (name . counter)))
       (field ((type . VALUETYPE) (name . wait-type)))
       (field ((type . INT64) (name . wait-value)))
       (field ((type . TESTTYPE) (name . test-type))))
     (struct
       ((name . WAITCONDITION))
       (field ((type . TRIGGER) (name . trigger)))
       (field ((type . INT64) (name . event-threshold))))
     (error ((name . Counter) (number . 0))
            (field ((type . CARD32) (name . bad-counter)))
            (field ((type . CARD16) (name . minor-opcode)))
            (field ((type . CARD8) (name . major-opcode))))
     (error ((name . Alarm) (number . 1))
            (field ((type . CARD32) (name . bad-alarm)))
            (field ((type . CARD16) (name . minor-opcode)))
            (field ((type . CARD8) (name . major-opcode))))
     (request
       ((name . Initialize) (opcode . 0))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD8) (name . major-version)))
              (field ((type . CARD8) (name . minor-version)))))
     (request
       ((name . ListSystemCounters) (opcode . 1))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD32) (name . counters-len)))
              (pad ((bytes . 20)))
              (list ((type . SYSTEMCOUNTER) (name . counters))
                    (fieldref () counters-len))))
     (request
       ((name . CreateCounter) (opcode . 2))
       (field ((type . COUNTER) (name . id)))
       (field ((type . INT64) (name . initial-value))))
     (request
       ((name . DestroyCounter) (opcode . 6))
       (field ((type . COUNTER) (name . counter))))
     (request
       ((name . QueryCounter) (opcode . 5))
       (field ((type . COUNTER) (name . counter)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . INT64) (name . counter-value)))))
     (request
       ((name . Await) (opcode . 7))
       (list ((type . WAITCONDITION) (name . wait-list))))
     (request
       ((name . ChangeCounter) (opcode . 4))
       (field ((type . COUNTER) (name . counter)))
       (field ((type . INT64) (name . amount))))
     (request
       ((name . SetCounter) (opcode . 3))
       (field ((type . COUNTER) (name . counter)))
       (field ((type . INT64) (name . value))))
     (request
       ((name . CreateAlarm) (opcode . 8))
       (field ((type . ALARM) (name . id)))
       (valueparam
         ((value-mask-type . CARD32)
          (value-mask-name . value-mask)
          (value-list-name . value-list))))
     (request
       ((name . ChangeAlarm) (opcode . 9))
       (field ((type . ALARM) (name . id)))
       (valueparam
         ((value-mask-type . CARD32)
          (value-mask-name . value-mask)
          (value-list-name . value-list))))
     (request
       ((name . DestroyAlarm) (opcode . 11))
       (field ((type . ALARM) (name . alarm))))
     (request
       ((name . QueryAlarm) (opcode . 10))
       (field ((type . ALARM) (name . alarm)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . TRIGGER) (name . trigger)))
              (field ((type . INT64) (name . delta)))
              (field ((type . BOOL) (name . events)))
              (field ((type . ALARMSTATE) (name . state)))))
     (request
       ((name . SetPriority) (opcode . 12))
       (field ((type . CARD32) (name . id)))
       (field ((type . INT32) (name . priority))))
     (request
       ((name . GetPriority) (opcode . 13))
       (field ((type . CARD32) (name . id)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . INT32) (name . priority)))))
     (event ((name . CounterNotify) (number . 0))
            (field ((type . CARD8) (name . kind)))
            (field ((type . COUNTER) (name . counter)))
            (field ((type . INT64) (name . wait-value)))
            (field ((type . INT64) (name . counter-value)))
            (field ((type . TIMESTAMP) (name . timestamp)))
            (field ((type . CARD16) (name . count)))
            (field ((type . BOOL) (name . destroyed))))
     (event ((name . AlarmNotify) (number . 1))
            (field ((type . CARD8) (name . kind)))
            (field ((type . ALARM) (name . alarm)))
            (field ((type . INT64) (name . counter-value)))
            (field ((type . INT64) (name . alarm-value)))
            (field ((type . TIMESTAMP) (name . timestamp)))))
