;;; -*-scheme-*- (/home/ttn/local/share/xcb/xfixes.xml)
(xcb ((header . xfixes)
      (extension-xname . XFIXES)
      (extension-name . XFixes)
      (major-version . 4)
      (minor-version . 0))
     (import () xproto)
     (import () render)
     (import () shape)
     (request
       ((name . QueryVersion) (opcode . 0))
       (field ((type . CARD32)
               (name . client-major-version)))
       (field ((type . CARD32)
               (name . client-minor-version)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD32) (name . major-version)))
              (field ((type . CARD32) (name . minor-version)))
              (pad ((bytes . 16)))))
     (enum ((name . SaveSetMode))
           (item ((name . Insert)))
           (item ((name . Delete))))
     (enum ((name . SaveSetTarget))
           (item ((name . Nearest)))
           (item ((name . Root))))
     (enum ((name . SaveSetMapping))
           (item ((name . Map)))
           (item ((name . Unmap))))
     (request
       ((name . ChangeSaveSet) (opcode . 1))
       (field ((type . BYTE) (name . mode)))
       (field ((type . BYTE) (name . target)))
       (field ((type . BYTE) (name . map)))
       (pad ((bytes . 1)))
       (field ((type . WINDOW) (name . window))))
     (enum ((name . SelectionEvent))
           (item ((name . SetSelectionOwner)))
           (item ((name . SelectionWindowDestroy)))
           (item ((name . SelectionClientClose))))
     (enum ((name . SelectionEventMask))
           (item ((name . SetSelectionOwner))
                 (bit () 0))
           (item ((name . SelectionWindowDestroy))
                 (bit () 1))
           (item ((name . SelectionClientClose))
                 (bit () 2)))
     (event ((name . SelectionNotify) (number . 0))
            (field ((type . CARD8) (name . subtype)))
            (field ((type . WINDOW) (name . window)))
            (field ((type . WINDOW) (name . owner)))
            (field ((type . ATOM) (name . selection)))
            (field ((type . TIMESTAMP) (name . timestamp)))
            (field ((type . TIMESTAMP)
                    (name . selection-timestamp)))
            (pad ((bytes . 8))))
     (request
       ((name . SelectSelectionInput) (opcode . 2))
       (field ((type . WINDOW) (name . window)))
       (field ((type . ATOM) (name . selection)))
       (field ((type . CARD32) (name . event-mask))))
     (enum ((name . CursorNotify))
           (item ((name . DisplayCursor))))
     (enum ((name . CursorNotifyMask))
           (item ((name . DisplayCursor)) (bit () 0)))
     (event ((name . CursorNotify) (number . 1))
            (field ((type . CARD8) (name . subtype)))
            (field ((type . WINDOW) (name . window)))
            (field ((type . CARD32) (name . cursor-serial)))
            (field ((type . TIMESTAMP) (name . timestamp)))
            (field ((type . ATOM) (name . name)))
            (pad ((bytes . 12))))
     (request
       ((name . SelectCursorInput) (opcode . 3))
       (field ((type . WINDOW) (name . window)))
       (field ((type . CARD32) (name . event-mask))))
     (request
       ((name . GetCursorImage) (opcode . 4))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . INT16) (name . x)))
              (field ((type . INT16) (name . y)))
              (field ((type . CARD16) (name . width)))
              (field ((type . CARD16) (name . height)))
              (field ((type . CARD16) (name . xhot)))
              (field ((type . CARD16) (name . yhot)))
              (field ((type . CARD32) (name . cursor-serial)))
              (pad ((bytes . 8)))
              (list ((type . CARD32) (name . cursor-image))
                    (op ((op . *))
                        (fieldref () width)
                        (fieldref () height)))))
     (xidtype ((name . REGION)))
     (error ((name . BadRegion) (number . 0)))
     (request
       ((name . CreateRegion) (opcode . 5))
       (field ((type . REGION) (name . region)))
       (list ((type . RECTANGLE) (name . rectangles))))
     (request
       ((name . CreateRegionFromBitmap)
        (opcode . 6))
       (field ((type . REGION) (name . region)))
       (field ((type . PIXMAP) (name . bitmap))))
     (request
       ((name . CreateRegionFromWindow)
        (opcode . 7))
       (field ((type . REGION) (name . region)))
       (field ((type . WINDOW) (name . window)))
       (field ((type . shape:KIND) (name . kind)))
       (pad ((bytes . 3))))
     (request
       ((name . CreateRegionFromGC) (opcode . 8))
       (field ((type . REGION) (name . region)))
       (field ((type . GCONTEXT) (name . gc))))
     (request
       ((name . CreateRegionFromPicture)
        (opcode . 9))
       (field ((type . REGION) (name . region)))
       (field ((type . PICTURE) (name . picture))))
     (request
       ((name . DestroyRegion) (opcode . 10))
       (field ((type . REGION) (name . region))))
     (request
       ((name . SetRegion) (opcode . 11))
       (field ((type . REGION) (name . region)))
       (list ((type . RECTANGLE) (name . rectangles))))
     (request
       ((name . CopyRegion) (opcode . 12))
       (field ((type . REGION) (name . source)))
       (field ((type . REGION) (name . destination))))
     (request
       ((name . UnionRegion) (opcode . 13))
       (field ((type . REGION) (name . source1)))
       (field ((type . REGION) (name . source2)))
       (field ((type . REGION) (name . destination))))
     (request
       ((name . IntersectRegion) (opcode . 14))
       (field ((type . REGION) (name . source1)))
       (field ((type . REGION) (name . source2)))
       (field ((type . REGION) (name . destination))))
     (request
       ((name . SubtractRegion) (opcode . 15))
       (field ((type . REGION) (name . source1)))
       (field ((type . REGION) (name . source2)))
       (field ((type . REGION) (name . destination))))
     (request
       ((name . InvertRegion) (opcode . 16))
       (field ((type . REGION) (name . source)))
       (field ((type . RECTANGLE) (name . bounds)))
       (field ((type . REGION) (name . destination))))
     (request
       ((name . TranslateRegion) (opcode . 17))
       (field ((type . REGION) (name . region)))
       (field ((type . INT16) (name . dx)))
       (field ((type . INT16) (name . dy))))
     (request
       ((name . RegionExtents) (opcode . 18))
       (field ((type . REGION) (name . source)))
       (field ((type . REGION) (name . destination))))
     (request
       ((name . FetchRegion) (opcode . 19))
       (field ((type . REGION) (name . region)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . RECTANGLE) (name . extents)))
              (pad ((bytes . 16)))
              (list ((type . RECTANGLE) (name . rectangles)))))
     (request
       ((name . SetGCClipRegion) (opcode . 20))
       (field ((type . GCONTEXT) (name . gc)))
       (field ((type . REGION) (name . region)))
       (field ((type . INT16) (name . x-origin)))
       (field ((type . INT16) (name . y-origin))))
     (request
       ((name . SetWindowShapeRegion) (opcode . 21))
       (field ((type . WINDOW) (name . dest)))
       (field ((type . shape:KIND) (name . dest-kind)))
       (pad ((bytes . 3)))
       (field ((type . INT16) (name . x-offset)))
       (field ((type . INT16) (name . y-offset)))
       (field ((type . REGION) (name . region))))
     (request
       ((name . SetPictureClipRegion) (opcode . 22))
       (field ((type . PICTURE) (name . picture)))
       (field ((type . REGION) (name . region)))
       (field ((type . INT16) (name . x-origin)))
       (field ((type . INT16) (name . y-origin))))
     (request
       ((name . SetCursorName) (opcode . 23))
       (field ((type . CURSOR) (name . cursor)))
       (field ((type . CARD16) (name . nbytes)))
       (pad ((bytes . 2)))
       (list ((type . CARD8) (name . name))
             (fieldref () nbytes)))
     (request
       ((name . GetCursorName) (opcode . 24))
       (field ((type . CURSOR) (name . cursor)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . ATOM) (name . atom)))
              (field ((type . CARD16) (name . nbytes)))
              (pad ((bytes . 18)))
              (list ((type . CARD8) (name . name))
                    (fieldref () nbytes))))
     (request
       ((name . GetCursorImageAndName)
        (opcode . 25))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . INT16) (name . x)))
              (field ((type . INT16) (name . y)))
              (field ((type . CARD16) (name . width)))
              (field ((type . CARD16) (name . height)))
              (field ((type . CARD16) (name . xhot)))
              (field ((type . CARD16) (name . yhot)))
              (field ((type . CARD32) (name . cursor-serial)))
              (field ((type . ATOM) (name . cursor-atom)))
              (field ((type . CARD16) (name . nbytes)))
              (pad ((bytes . 2)))
              (list ((type . CARD8) (name . name))
                    (fieldref () nbytes))
              (list ((type . CARD32) (name . cursor-image))
                    (op ((op . *))
                        (fieldref () width)
                        (fieldref () height)))))
     (request
       ((name . ChangeCursor) (opcode . 26))
       (field ((type . CURSOR) (name . source)))
       (field ((type . CURSOR) (name . destination))))
     (request
       ((name . ChangeCursorByName) (opcode . 27))
       (field ((type . CURSOR) (name . src)))
       (field ((type . CARD16) (name . nbytes)))
       (pad ((bytes . 2)))
       (list ((type . CARD8) (name . name))
             (fieldref () nbytes)))
     (request
       ((name . ExpandRegion) (opcode . 28))
       (field ((type . REGION) (name . source)))
       (field ((type . REGION) (name . destination)))
       (field ((type . CARD16) (name . left)))
       (field ((type . CARD16) (name . right)))
       (field ((type . CARD16) (name . top)))
       (field ((type . CARD16) (name . bottom))))
     (request
       ((name . HideCursor) (opcode . 29))
       (field ((type . WINDOW) (name . window))))
     (request
       ((name . ShowCursor) (opcode . 30))
       (field ((type . WINDOW) (name . window)))))
