;;; -*-scheme-*- (/home/ttn/local/share/xcb/xprint.xml)
(xcb ((header . xprint)
      (extension-xname . XpExtension)
      (extension-name . XPrint)
      (major-version . 1)
      (minor-version . 0))
     (import () xproto)
     (struct
       ((name . PRINTER))
       (field ((type . CARD32) (name . nameLen)))
       (list ((type . STRING8) (name . name))
             (fieldref () nameLen))
       (field ((type . CARD32) (name . descLen)))
       (list ((type . STRING8) (name . description))
             (fieldref () descLen)))
     (xidtype ((name . PCONTEXT)))
     (typedef
       ((oldname . char) (newname . STRING8)))
     (enum ((name . GetDoc))
           (item ((name . Finished)) (value () 0))
           (item ((name . SecondConsumer)) (value () 1)))
     (enum ((name . EvMask))
           (item ((name . NoEventMask))
                 (value () 0x00000000))
           (item ((name . PrintMask))
                 (value () 0x00000001))
           (item ((name . AttributeMask))
                 (value () 0x00000002)))
     (enum ((name . Detail))
           (item ((name . StartJobNotify)) (value () 1))
           (item ((name . EndJobNotify)) (value () 2))
           (item ((name . StartDocNotify)) (value () 3))
           (item ((name . EndDocNotify)) (value () 4))
           (item ((name . StartPageNotify))
                 (value () 5))
           (item ((name . EndPageNotify)) (value () 6)))
     (enum ((name . Attr))
           (item ((name . JobAttr)) (value () 1))
           (item ((name . DocAttr)) (value () 2))
           (item ((name . PageAttr)) (value () 3))
           (item ((name . PrinterAttr)) (value () 4))
           (item ((name . ServerAttr)) (value () 5))
           (item ((name . MediumAttr)) (value () 6))
           (item ((name . SpoolerAttr)) (value () 7)))
     (request
       ((name . PrintQueryVersion) (opcode . 0))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD16) (name . major-version)))
              (field ((type . CARD16) (name . minor-version)))))
     (request
       ((name . PrintGetPrinterList) (opcode . 1))
       (field ((type . CARD32) (name . printerNameLen)))
       (field ((type . CARD32) (name . localeLen)))
       (list ((type . STRING8) (name . printer-name))
             (fieldref () printerNameLen))
       (list ((type . STRING8) (name . locale))
             (fieldref () localeLen))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD32) (name . listCount)))
              (pad ((bytes . 20)))
              (list ((type . PRINTER) (name . printers))
                    (fieldref () listCount))))
     (request
       ((name . PrintRehashPrinterList)
        (opcode . 20)))
     (request
       ((name . CreateContext) (opcode . 2))
       (field ((type . CARD32) (name . context-id)))
       (field ((type . CARD32) (name . printerNameLen)))
       (field ((type . CARD32) (name . localeLen)))
       (list ((type . STRING8) (name . printerName))
             (fieldref () printerNameLen))
       (list ((type . STRING8) (name . locale))
             (fieldref () localeLen)))
     (request
       ((name . PrintSetContext) (opcode . 3))
       (field ((type . CARD32) (name . context))))
     (request
       ((name . PrintGetContext) (opcode . 4))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD32) (name . context)))))
     (request
       ((name . PrintDestroyContext) (opcode . 5))
       (field ((type . CARD32) (name . context))))
     (request
       ((name . PrintGetScreenOfContext)
        (opcode . 6))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . WINDOW) (name . root)))))
     (request
       ((name . PrintStartJob) (opcode . 7))
       (field ((type . CARD8) (name . output-mode))))
     (request
       ((name . PrintEndJob) (opcode . 8))
       (field ((type . BOOL) (name . cancel))))
     (request
       ((name . PrintStartDoc) (opcode . 9))
       (field ((type . CARD8) (name . driver-mode))))
     (request
       ((name . PrintEndDoc) (opcode . 10))
       (field ((type . BOOL) (name . cancel))))
     (request
       ((name . PrintPutDocumentData) (opcode . 11))
       (field ((type . DRAWABLE) (name . drawable)))
       (field ((type . CARD32) (name . len-data)))
       (field ((type . CARD16) (name . len-fmt)))
       (field ((type . CARD16) (name . len-options)))
       (list ((type . BYTE) (name . data))
             (fieldref () len-data))
       (list ((type . STRING8) (name . doc-format)))
       (list ((type . STRING8) (name . options))))
     (request
       ((name . PrintGetDocumentData) (opcode . 12))
       (field ((type . PCONTEXT) (name . context)))
       (field ((type . CARD32) (name . max-bytes)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD32) (name . status-code)))
              (field ((type . CARD32) (name . finished-flag)))
              (field ((type . CARD32) (name . dataLen)))
              (pad ((bytes . 12)))
              (list ((type . BYTE) (name . data))
                    (fieldref () dataLen))))
     (request
       ((name . PrintStartPage) (opcode . 13))
       (field ((type . WINDOW) (name . window))))
     (request
       ((name . PrintEndPage) (opcode . 14))
       (field ((type . BOOL) (name . cancel)))
       (pad ((bytes . 3))))
     (request
       ((name . PrintSelectInput) (opcode . 15))
       (field ((type . PCONTEXT) (name . context)))
       (valueparam
         ((value-mask-type . CARD32)
          (value-mask-name . event-mask)
          (value-list-name . event-list))))
     (request
       ((name . PrintInputSelected) (opcode . 16))
       (field ((type . PCONTEXT) (name . context)))
       (reply ()
              (pad ((bytes . 1)))
              (valueparam
                ((value-mask-type . CARD32)
                 (value-mask-name . event-mask)
                 (value-list-name . event-list)))
              (valueparam
                ((value-mask-type . CARD32)
                 (value-mask-name . all-events-mask)
                 (value-list-name . all-events-list)))))
     (request
       ((name . PrintGetAttributes) (opcode . 17))
       (field ((type . PCONTEXT) (name . context)))
       (field ((type . CARD8) (name . pool)))
       (pad ((bytes . 3)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD32) (name . stringLen)))
              (pad ((bytes . 20)))
              (field ((type . STRING8) (name . attributes)))))
     (request
       ((name . PrintGetOneAttributes)
        (opcode . 19))
       (field ((type . PCONTEXT) (name . context)))
       (field ((type . CARD32) (name . nameLen)))
       (field ((type . CARD8) (name . pool)))
       (pad ((bytes . 3)))
       (list ((type . STRING8) (name . name))
             (fieldref () nameLen))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD32) (name . valueLen)))
              (pad ((bytes . 20)))
              (list ((type . STRING8) (name . value))
                    (fieldref () valueLen))))
     (request
       ((name . PrintSetAttributes) (opcode . 18))
       (field ((type . PCONTEXT) (name . context)))
       (field ((type . CARD32) (name . stringLen)))
       (field ((type . CARD8) (name . pool)))
       (field ((type . CARD8) (name . rule)))
       (pad ((bytes . 2)))
       (list ((type . STRING8) (name . attributes))))
     (request
       ((name . PrintGetPageDimensions)
        (opcode . 21))
       (field ((type . PCONTEXT) (name . context)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD16) (name . width)))
              (field ((type . CARD16) (name . height)))
              (field ((type . CARD16) (name . offset-x)))
              (field ((type . CARD16) (name . offset-y)))
              (field ((type . CARD16) (name . reproducible-width)))
              (field ((type . CARD16)
                      (name . reproducible-height)))))
     (request
       ((name . PrintQueryScreens) (opcode . 22))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD32) (name . listCount)))
              (pad ((bytes . 20)))
              (list ((type . WINDOW) (name . roots))
                    (fieldref () listCount))))
     (request
       ((name . PrintSetImageResolution)
        (opcode . 23))
       (field ((type . PCONTEXT) (name . context)))
       (field ((type . CARD16) (name . image-resolution)))
       (reply ()
              (field ((type . BOOL) (name . status)))
              (field ((type . CARD16)
                      (name . previous-resolutions)))))
     (request
       ((name . PrintGetImageResolution)
        (opcode . 24))
       (field ((type . PCONTEXT) (name . context)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD16) (name . image-resolution)))))
     (event ((name . Notify) (number . 0))
            (field ((type . CARD8) (name . detail)))
            (field ((type . PCONTEXT) (name . context)))
            (field ((type . BOOL) (name . cancel))))
     (event ((name . AttributNotify) (number . 1))
            (field ((type . CARD8) (name . detail)))
            (field ((type . PCONTEXT) (name . context))))
     (error ((name . BadContext) (number . 0)))
     (error ((name . BadSequence) (number . 1))))
