;;; -*-scheme-*- (/home/ttn/local/share/xcb/xv.xml)
(xcb ((header . xv)
      (extension-xname . XVideo)
      (extension-name . Xv)
      (major-version . 2)
      (minor-version . 2))
     (import () xproto)
     (import () shm)
     (xidtype ((name . PORT)))
     (xidtype ((name . ENCODING)))
     (enum ((name . Type))
           (item ((name . InputMask))
                 (value () 0x00000001))
           (item ((name . OutputMask))
                 (value () 0x00000002))
           (item ((name . VideoMask))
                 (value () 0x00000004))
           (item ((name . StillMask))
                 (value () 0x00000008))
           (item ((name . ImageMask))
                 (value () 0x00000010)))
     (enum ((name . ImageFormatInfoType))
           (item ((name . RGB)))
           (item ((name . YUV))))
     (enum ((name . ImageFormatInfoFormat))
           (item ((name . Packed)))
           (item ((name . Planar))))
     (enum ((name . AttributeFlag))
           (item ((name . Gettable)) (value () 0x01))
           (item ((name . Settable)) (value () 0x02)))
     (struct
       ((name . Rational))
       (field ((type . INT32) (name . numerator)))
       (field ((type . INT32) (name . denominator))))
     (struct
       ((name . AdaptorInfo))
       (field ((type . PORT) (name . base-id)))
       (field ((type . CARD16) (name . name-size)))
       (field ((type . CARD16) (name . num-ports)))
       (field ((type . CARD16) (name . num-formats)))
       (field ((type . CARD8) (name . type)))
       (field ((type . CARD8) (name . pad)))
       (list ((type . char) (name . name))
             (fieldref () name-size))
       (list ((type . Format) (name . formats))
             (fieldref () num-formats)))
     (struct
       ((name . EncodingInfo))
       (field ((type . ENCODING) (name . encoding)))
       (field ((type . CARD16) (name . name-size)))
       (field ((type . CARD16) (name . width)))
       (field ((type . CARD16) (name . height)))
       (field ((type . Rational) (name . rate)))
       (list ((type . char) (name . name))
             (fieldref () name-size)))
     (struct
       ((name . Format))
       (field ((type . VISUALID) (name . visual)))
       (field ((type . CARD8) (name . depth))))
     (struct
       ((name . Image))
       (field ((type . CARD32) (name . id)))
       (field ((type . CARD16) (name . width)))
       (field ((type . CARD16) (name . height)))
       (field ((type . CARD32) (name . data-size)))
       (field ((type . CARD32) (name . num-planes)))
       (list ((type . CARD32) (name . pitches))
             (fieldref () num-planes))
       (list ((type . CARD32) (name . offsets))
             (fieldref () num-planes))
       (list ((type . CARD8) (name . data))
             (fieldref () data-size)))
     (struct
       ((name . AttributeInfo))
       (field ((type . CARD32) (name . flags)))
       (field ((type . INT32) (name . min)))
       (field ((type . INT32) (name . max)))
       (field ((type . CARD32) (name . size)))
       (list ((type . char) (name . name))
             (fieldref () size)))
     (struct
       ((name . ImageFormatInfo))
       (field ((type . CARD32) (name . id)))
       (field ((type . CARD8) (name . type)))
       (field ((type . CARD8) (name . byte-order)))
       (field ((type . CARD16) (name . pad1)))
       (list ((type . CARD8) (name . guid))
             (value () 16))
       (field ((type . CARD8) (name . bpp)))
       (field ((type . CARD8) (name . num-planes)))
       (field ((type . CARD16) (name . pad2)))
       (field ((type . CARD8) (name . depth)))
       (field ((type . CARD8) (name . pad3)))
       (field ((type . CARD16) (name . pad4)))
       (field ((type . CARD32) (name . red-mask)))
       (field ((type . CARD32) (name . green-mask)))
       (field ((type . CARD32) (name . blue-mask)))
       (field ((type . CARD8) (name . format)))
       (field ((type . CARD8) (name . pad5)))
       (field ((type . CARD16) (name . pad6)))
       (field ((type . CARD32) (name . y-sample-bits)))
       (field ((type . CARD32) (name . u-sample-bits)))
       (field ((type . CARD32) (name . v-sample-bits)))
       (field ((type . CARD32) (name . vhorz-y-period)))
       (field ((type . CARD32) (name . vhorz-u-period)))
       (field ((type . CARD32) (name . vhorz-v-period)))
       (field ((type . CARD32) (name . vvert-y-period)))
       (field ((type . CARD32) (name . vvert-u-period)))
       (field ((type . CARD32) (name . vvert-v-period)))
       (list ((type . CARD8) (name . vcomp-order))
             (value () 32))
       (field ((type . CARD8) (name . vscanline-order)))
       (field ((type . CARD8) (name . vpad7)))
       (field ((type . CARD16) (name . vpad8)))
       (field ((type . CARD32) (name . vpad9)))
       (field ((type . CARD32) (name . vpad10))))
     (error ((name . BadPort) (number . 0)))
     (error ((name . BadEncoding) (number . 1)))
     (error ((name . BadControl) (number . 2)))
     (event ((name . VideoNotify) (number . 0))
            (field ((type . BYTE) (name . reason)))
            (field ((type . TIMESTAMP) (name . time)))
            (field ((type . DRAWABLE) (name . drawable)))
            (field ((type . PORT) (name . port))))
     (event ((name . PortNotify) (number . 1))
            (pad ((bytes . 1)))
            (field ((type . TIMESTAMP) (name . time)))
            (field ((type . PORT) (name . port)))
            (field ((type . ATOM) (name . attribute)))
            (field ((type . INT32) (name . value))))
     (request
       ((name . QueryExtension) (opcode . 0))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD16) (name . major)))
              (field ((type . CARD16) (name . minor)))))
     (request
       ((name . QueryAdaptors) (opcode . 1))
       (field ((type . WINDOW) (name . window)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD16) (name . num-adaptors)))
              (pad ((bytes . 22)))
              (list ((type . AdaptorInfo) (name . info))
                    (fieldref () num-adaptors))))
     (request
       ((name . QueryEncodings) (opcode . 2))
       (field ((type . PORT) (name . port)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD16) (name . num-encodings)))
              (pad ((bytes . 22)))
              (list ((type . EncodingInfo) (name . info))
                    (fieldref () num-encodings))))
     (request
       ((name . GrabPort) (opcode . 3))
       (field ((type . PORT) (name . port)))
       (field ((type . TIMESTAMP) (name . time)))
       (reply ()
              (field ((type . BYTE) (name . result)))))
     (request
       ((name . UngrabPort) (opcode . 4))
       (field ((type . PORT) (name . port)))
       (field ((type . TIMESTAMP) (name . time))))
     (request
       ((name . PutVideo) (opcode . 5))
       (field ((type . PORT) (name . port)))
       (field ((type . DRAWABLE) (name . drawable)))
       (field ((type . GCONTEXT) (name . gc)))
       (field ((type . INT16) (name . vid-x)))
       (field ((type . INT16) (name . vid-y)))
       (field ((type . CARD16) (name . vid-w)))
       (field ((type . CARD16) (name . vid-h)))
       (field ((type . INT16) (name . drw-x)))
       (field ((type . INT16) (name . drw-y)))
       (field ((type . CARD16) (name . drw-w)))
       (field ((type . CARD16) (name . drw-h))))
     (request
       ((name . PutStill) (opcode . 6))
       (field ((type . PORT) (name . port)))
       (field ((type . DRAWABLE) (name . drawable)))
       (field ((type . GCONTEXT) (name . gc)))
       (field ((type . INT16) (name . vid-x)))
       (field ((type . INT16) (name . vid-y)))
       (field ((type . CARD16) (name . vid-w)))
       (field ((type . CARD16) (name . vid-h)))
       (field ((type . INT16) (name . drw-x)))
       (field ((type . INT16) (name . drw-y)))
       (field ((type . CARD16) (name . drw-w)))
       (field ((type . CARD16) (name . drw-h))))
     (request
       ((name . GetVideo) (opcode . 7))
       (field ((type . PORT) (name . port)))
       (field ((type . DRAWABLE) (name . drawable)))
       (field ((type . GCONTEXT) (name . gc)))
       (field ((type . INT16) (name . vid-x)))
       (field ((type . INT16) (name . vid-y)))
       (field ((type . CARD16) (name . vid-w)))
       (field ((type . CARD16) (name . vid-h)))
       (field ((type . INT16) (name . drw-x)))
       (field ((type . INT16) (name . drw-y)))
       (field ((type . CARD16) (name . drw-w)))
       (field ((type . CARD16) (name . drw-h))))
     (request
       ((name . GetStill) (opcode . 8))
       (field ((type . PORT) (name . port)))
       (field ((type . DRAWABLE) (name . drawable)))
       (field ((type . GCONTEXT) (name . gc)))
       (field ((type . INT16) (name . vid-x)))
       (field ((type . INT16) (name . vid-y)))
       (field ((type . CARD16) (name . vid-w)))
       (field ((type . CARD16) (name . vid-h)))
       (field ((type . INT16) (name . drw-x)))
       (field ((type . INT16) (name . drw-y)))
       (field ((type . CARD16) (name . drw-w)))
       (field ((type . CARD16) (name . drw-h))))
     (request
       ((name . StopVideo) (opcode . 9))
       (field ((type . PORT) (name . port)))
       (field ((type . DRAWABLE) (name . drawable))))
     (request
       ((name . SelectVideoNotify) (opcode . 10))
       (field ((type . DRAWABLE) (name . drawable)))
       (field ((type . BOOL) (name . onoff))))
     (request
       ((name . SelectPortNotify) (opcode . 11))
       (field ((type . DRAWABLE) (name . drawable)))
       (field ((type . BOOL) (name . onoff))))
     (request
       ((name . QueryBestSize) (opcode . 12))
       (field ((type . PORT) (name . port)))
       (field ((type . CARD16) (name . vid-w)))
       (field ((type . CARD16) (name . vid-h)))
       (field ((type . CARD16) (name . drw-w)))
       (field ((type . CARD16) (name . drw-h)))
       (field ((type . BOOL) (name . motion)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD16) (name . actual-width)))
              (field ((type . CARD16) (name . actual-height)))))
     (request
       ((name . SetPortAttribute) (opcode . 13))
       (field ((type . PORT) (name . port)))
       (field ((type . ATOM) (name . attribute)))
       (field ((type . INT32) (name . value))))
     (request
       ((name . GetPortAttribute) (opcode . 14))
       (field ((type . PORT) (name . port)))
       (field ((type . ATOM) (name . attribute)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . INT32) (name . value)))))
     (request
       ((name . QueryPortAttributes) (opcode . 15))
       (field ((type . PORT) (name . port)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD32) (name . num-attributes)))
              (field ((type . CARD32) (name . text-size)))
              (pad ((bytes . 16)))
              (list ((type . AttributeInfo) (name . attributes))
                    (fieldref () num-attributes))))
     (request
       ((name . ListImageFormats) (opcode . 16))
       (field ((type . PORT) (name . port)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD32) (name . num-formats)))
              (pad ((bytes . 20)))
              (list ((type . ImageFormatInfo) (name . format))
                    (fieldref () num-formats))))
     (request
       ((name . QueryImageAttributes) (opcode . 17))
       (field ((type . PORT) (name . port)))
       (field ((type . CARD32) (name . id)))
       (field ((type . CARD16) (name . width)))
       (field ((type . CARD16) (name . height)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD32) (name . num-planes)))
              (field ((type . CARD32) (name . data-size)))
              (field ((type . CARD16) (name . width)))
              (field ((type . CARD16) (name . height)))
              (pad ((bytes . 12)))
              (list ((type . CARD32) (name . pitches))
                    (fieldref () num-planes))
              (list ((type . CARD32) (name . offsets))
                    (fieldref () num-planes))))
     (request
       ((name . PutImage) (opcode . 18))
       (field ((type . PORT) (name . port)))
       (field ((type . DRAWABLE) (name . drawable)))
       (field ((type . GCONTEXT) (name . gc)))
       (field ((type . CARD32) (name . id)))
       (field ((type . INT16) (name . src-x)))
       (field ((type . INT16) (name . src-y)))
       (field ((type . CARD16) (name . src-w)))
       (field ((type . CARD16) (name . src-h)))
       (field ((type . INT16) (name . drw-x)))
       (field ((type . INT16) (name . drw-y)))
       (field ((type . CARD16) (name . drw-w)))
       (field ((type . CARD16) (name . drw-h)))
       (field ((type . CARD16) (name . width)))
       (field ((type . CARD16) (name . height)))
       (list ((type . CARD8) (name . data))))
     (request
       ((name . ShmPutImage) (opcode . 19))
       (field ((type . PORT) (name . port)))
       (field ((type . DRAWABLE) (name . drawable)))
       (field ((type . GCONTEXT) (name . gc)))
       (field ((type . SEG) (name . shmseg)))
       (field ((type . CARD32) (name . id)))
       (field ((type . CARD32) (name . offset)))
       (field ((type . INT16) (name . src-x)))
       (field ((type . INT16) (name . src-y)))
       (field ((type . CARD16) (name . src-w)))
       (field ((type . CARD16) (name . src-h)))
       (field ((type . INT16) (name . drw-x)))
       (field ((type . INT16) (name . drw-y)))
       (field ((type . CARD16) (name . drw-w)))
       (field ((type . CARD16) (name . drw-h)))
       (field ((type . CARD16) (name . width)))
       (field ((type . CARD16) (name . height)))
       (field ((type . CARD8) (name . send-event)))))
