;;; -*-scheme-*- (/home/ttn/local/share/xcb/xvmc.xml)
(xcb ((header . xvmc)
      (extension-xname . XVideo-MotionCompensation)
      (extension-name . XvMC)
      (major-version . 1)
      (minor-version . 1))
     (import () xv)
     (xidtype ((name . CONTEXT)))
     (xidtype ((name . SURFACE)))
     (xidtype ((name . SUBPICTURE)))
     (struct
       ((name . SurfaceInfo))
       (field ((type . SURFACE) (name . id)))
       (field ((type . CARD16) (name . chroma-format)))
       (field ((type . CARD16) (name . pad0)))
       (field ((type . CARD16) (name . max-width)))
       (field ((type . CARD16) (name . max-height)))
       (field ((type . CARD16)
               (name . subpicture-max-width)))
       (field ((type . CARD16)
               (name . subpicture-max-height)))
       (field ((type . CARD32) (name . mc-type)))
       (field ((type . CARD32) (name . flags))))
     (request
       ((name . QueryVersion) (opcode . 0))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD32) (name . major)))
              (field ((type . CARD32) (name . minor)))))
     (request
       ((name . ListSurfaceTypes) (opcode . 1))
       (field ((type . PORT) (name . port-id)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD32) (name . num)))
              (pad ((bytes . 20)))
              (list ((type . SurfaceInfo) (name . surfaces))
                    (fieldref () num))))
     (request
       ((name . CreateContext) (opcode . 2))
       (field ((type . CONTEXT) (name . context-id)))
       (field ((type . PORT) (name . port-id)))
       (field ((type . SURFACE) (name . surface-id)))
       (field ((type . CARD16) (name . width)))
       (field ((type . CARD16) (name . height)))
       (field ((type . CARD32) (name . flags)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD16) (name . width-actual)))
              (field ((type . CARD16) (name . height-actual)))
              (field ((type . CARD32) (name . flags-return)))
              (pad ((bytes . 20)))
              (list ((type . CARD32) (name . priv-data)))))
     (request
       ((name . DestroyContext) (opcode . 3))
       (field ((type . CONTEXT) (name . context-id))))
     (request
       ((name . CreateSurface) (opcode . 4))
       (field ((type . SURFACE) (name . surface-id)))
       (field ((type . CONTEXT) (name . context-id)))
       (reply ()
              (pad ((bytes . 1)))
              (pad ((bytes . 24)))
              (list ((type . CARD32) (name . priv-data)))))
     (request
       ((name . DestroySurface) (opcode . 5))
       (field ((type . SURFACE) (name . surface-id))))
     (request
       ((name . CreateSubpicture) (opcode . 6))
       (field ((type . SUBPICTURE) (name . subpicture-id)))
       (field ((type . CONTEXT) (name . context)))
       (field ((type . CARD32) (name . xvimage-id)))
       (field ((type . CARD16) (name . width)))
       (field ((type . CARD16) (name . height)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD16) (name . width-actual)))
              (field ((type . CARD16) (name . height-actual)))
              (field ((type . CARD16)
                      (name . num-palette-entries)))
              (field ((type . CARD16) (name . entry-bytes)))
              (list ((type . CARD8) (name . component-order))
                    (value () 4))
              (pad ((bytes . 12)))
              (list ((type . CARD32) (name . priv-data)))))
     (request
       ((name . DestroySubpicture) (opcode . 7))
       (field ((type . SUBPICTURE) (name . subpicture-id))))
     (request
       ((name . ListSubpictureTypes) (opcode . 8))
       (field ((type . PORT) (name . port-id)))
       (field ((type . SURFACE) (name . surface-id)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD32) (name . num)))
              (pad ((bytes . 20)))
              (list ((type . ImageFormatInfo) (name . types))
                    (fieldref () num)))))
